Package com.tibco.patterns.learn.api.feature

## Class AbstractQlt<T extends com.tibco.patterns.learn.jaxb.model.SearchQueryBaseType>

- java.lang.Object
- - com.tibco.patterns.learn.api.feature.AbstractQlt<T>

- All Implemented Interfaces:
    `Querylet`
  Direct Known Subclasses:
    `DateQlt`, `PredicateQlt`, `TextQlt`

      public abstract class AbstractQlt<T extends com.tibco.patterns.learn.jaxb.model.SearchQueryBaseType>
      extends java.lang.Object
      implements Querylet

  Stores a single querylet in an XML structure. The XML structure of the querylet corresponds to one of the subclasses of SearchQueryBaseType.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static double` | `getDftFieldWeight()` |
    `int` | `getFieldIndex​(int queryletFieldIndex)` | Converts from field index in the list of querylet fields to the field index in the list of all non-key table fields.
    `int` | `getNFields()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.tibco.patterns.learn.api.feature.Querylet

      `asJavaCode, getFieldNames, getNetricsQlt`

- - ### Method Detail

    - #### getDftFieldWeight

          public static double getDftFieldWeight()

      Returns:
        default field weight used in simple, cognate, date querylets.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getFieldIndex

          public final int getFieldIndex​(int queryletFieldIndex)

      Description copied from interface: `Querylet`
      Converts from field index in the list of querylet fields to the field index in the list of all non-key table fields.
      Specified by:
        `getFieldIndex` in interface `Querylet`
      Parameters:
        `queryletFieldIndex` - - the index of the used field (from 0 to getNFields()-1 )
      Returns:
        the field index (in the list of all fields)

    - #### getNFields

          public final int getNFields()

      Specified by:
        `getNFields` in interface `Querylet`
      Returns:
        the number of fields used in this querylet.
      Throws:
        `java.lang.NullPointerException` - if field indexes are not assigned.